## org.eclipse.datatools.modelbase.sql.query
Interface UpdateSource

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Subinterfaces:
  UpdateSourceExprList, UpdateSourceQuery

All Known Implementing Classes:
  UpdateSourceExprListImpl, UpdateSourceImpl, UpdateSourceQueryImpl

public interface UpdateSource
extends SQLQueryObject

A representation of the model object 'Update Source'.

The following features are supported:

- `Update Assignment Expr`

See Also:
  `SQLQueryModelPackage.getUpdateSource()`

Method Summary
`UpdateAssignmentExpression` `getUpdateAssignmentExpr()` Returns the value of the 'Update Assignment Expr' container reference.
`void` `setUpdateAssignmentExpr(UpdateAssignmentExpression value)` Sets the value of the '`Update Assignment Expr`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getUpdateAssignmentExpr

    public UpdateAssignmentExpression getUpdateAssignmentExpr()

  Returns the value of the 'Update Assignment Expr' container reference. It is bidirectional and its opposite is '`Update Source`'.

  If the meaning of the 'Update Assignment Expr' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Update Assignment Expr' container reference.
  See Also:
    `setUpdateAssignmentExpr(UpdateAssignmentExpression)`, `SQLQueryModelPackage.getUpdateSource_UpdateAssignmentExpr()`, `UpdateAssignmentExpression.getUpdateSource()`

### setUpdateAssignmentExpr

    public void setUpdateAssignmentExpr(UpdateAssignmentExpression value)

  Sets the value of the '`Update Assignment Expr`' container reference.

  Parameters:
    `value` - the new value of the 'Update Assignment Expr' container reference.
  See Also:
    `getUpdateAssignmentExpr()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.